complexType "SwapCurveValuation"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 4 elements
Defined: | globally in fpml-bond-option-5-3.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | floatingRateIndex, indexTenor?, spread, side?
</...>

Content Model Elements (4):

  floatingRateIndex (defined in FloatingRateIndex.model group),
  indexTenor (defined in FloatingRateIndex.model group),
  side (defined in SwapCurveValuation complexType),
  spread (defined in SwapCurveValuation complexType)

Known Direct Subtypes (1):

  MakeWholeAmount

All Direct / Indirect Based Elements (2):

  makeWholeAmount, swapUnwindValue

Known Usage Locations

- In derivations of other global types (1):
  MakeWholeAmount (as extension base)
- As direct type of elements (1):
  swapUnwindValue

Annotation
A complex type to specify a valuation swap curve, which is used as part of the strike construct for the bond and convertible bond options.
XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="SwapCurveValuation"> <xsd:sequence> <xsd:group ref="FloatingRateIndex.model"/> <xsd:element name="spread" type="xsd:decimal"/> <xsd:element minOccurs="0" name="side" type="QuotationSideEnum"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/4)
side

  Type: | QuotationSideEnum, simple content

  The side (bid/mid/ask) of the measure.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "Bid" | - | A value "bid" by a buyer for an asset, i.e. the value a buyer is willing to pay. See: http://www.FpML.org
  "Ask" | - | A value "asked" by a seller for an asset, i.e. the value at which a seller is willing to sell. See: http://www.FpML.org
  "Mid" | - | A value midway between the bid and the ask value. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="side" type="QuotationSideEnum"/>

spread

  Type: | xsd:decimal, predefined, simple content

  Spread in basis points over the floating rate index.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="spread" type="xsd:decimal"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.